class JavaShortTest
{
	//--------------------------------------------------------------------------
	//Short test
	
	public static short Test(short param)
	{
		return (short)(255 - param);
	}

	public static short[][][] Test3D(short[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = (short)(255 - param[i1][i2][i3]);
				}
			}
		}
		return param;
	}

	//--------------------------------------------------------------------------
	//Short Object test

	public static Short TestObj(Short param)
	{
		return new Short((short)(255 - param.shortValue()));
	}

	public static Short[][][] TestObj3D(Short[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = new Short((short)(255 - param[i1][i2][i3].shortValue())); 
				}
			}
		}
		return param;
	}
}
